Name: vino
Version: 2.22.1
Release: alt1

Summary: A remote desktop system for GNOME
License: GPL
URL: http://www.gnome.org
Group: Networking/Remote access

Source0: %name-%version.tar.bz2

Packager: Igor Zubkov <icesik@altlinux.org>

Requires(post): GConf2
BuildPreReq: GConf2

# Automatically added by buildreq on Tue Apr 15 2008
BuildRequires: gcc-c++ imake libXdamage-devel libXtst-devel libavahi-glib-devel libgcrypt-devel libgnomeui-devel libjpeg-devel libnotify-devel perl-XML-Parser xorg-cf-files

%description
Vino is a VNC server for GNOME. It allows remote users to
connect to a running GNOME session using VNC.

%prep
%setup -q

%build
%configure \
	--enable-avahi \
	--disable-gnutls \
	--disable-session-support \
	--disable-http-server \
	--disable-schemas-install
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# stuff we don't want
#rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/vino/vino-client.*

%find_lang %name

%post
%gconf2_install vino-server

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall vino-server
fi

%files -f %name.lang
%doc AUTHORS ChangeLog MAINTAINERS NEWS README docs/TODO docs/remote-desktop.txt docs/debugging.txt
%config %_sysconfdir/gconf/schemas/*
%_bindir/*
%dir %_datadir/vino
%_datadir/vino/*.glade
%_datadir/applications/*.desktop
%_libdir/bonobo/servers/*.server
%_libexecdir/vino-server

%changelog
* Tue Apr 15 2008 Igor Zubkov <icesik@altlinux.org> 2.22.1-alt1
- 2.18.1 -> 2.22.1
- buildreq

* Mon Apr 14 2008 Igor Zubkov <icesik@altlinux.org> 2.18.1-alt1
- build for Sisyphus

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Sat Apr 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.5-0vl3
- run gtk-update-icon-cache in %%post script.

* Mon Mar 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.5-0vl2
- enable avahi, add BuildRequires: avahi-devel

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.5-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Tue Nov 30 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- initial build for Vine Linux
- add japanese summary and description.

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.1-1
- Update to 2.8.1
- Remove backported fixes

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1.1
- Don't hang with metacity's "reduced resources" mode (#134240) 
- Improve the key repeat rate situation a good deal (#134451)

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1
- Update to 2.8.0.1

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0
- Remove upstreamed work-without-gnutls patch

* Tue Sep  7 2004 Matthias Clasen <mclasen@redhat.com> 2.7.92-3
- Disable help button until there is help (#131632)
 
* Wed Sep  1 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-2
- Add patch to fix hang without GNU TLS (bug #131354)

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Tue Aug 17 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Mon Aug 16 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-2
- Define libgcrypt_version

* Thu Aug 12 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.4-1
- Update to 2.7.4

* Tue Jul 13 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3.1-1
- Initial build.
